DELETE FROM pubsub.watermark
    WHERE consumer_id = 'EditsLogger' AND branch_id = 0;

INSERT INTO pubsub.watermark
    SELECT 'EditsLogger', cq.* FROM revision.commit_queue cq
        WHERE branch_id = 0
        ORDER BY txid DESC, commit_id DESC
        LIMIT 1;
